%define upstream_name    CursesWidgets
%define upstream_version 1.997

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Assorted widgets for rapid interface design
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Curses/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Curses)
BuildArch: noarch


%description
This module serves two purposes: to provide a framework for creating custom
widget classes, and importing a few useful functions for global use.

Widget specific methods are documented in each Widget's pod.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# tests require human input
#make test

%install
%make_install

%files
%doc CHANGELOG LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.997.0-10.mga9
+ Revision: 1802776
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.997.0-9.mga8
+ Revision: 1493631
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.997.0-8.mga7
+ Revision: 1266823
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.997.0-7.mga6
+ Revision: 1024761
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.997.0-6.mga6
+ Revision: 944400
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.997.0-5.mga5
+ Revision: 741653
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.997.0-4.mga5
+ Revision: 684080
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.997.0-3.mga4
+ Revision: 510449
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.997.0-2.mga3
+ Revision: 364984
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.997.0-1.mga1
+ Revision: 26257
- no meta.yml
- mageia rebuild
- imported package perl-CursesWidgets

